
QGIS Application - Bug report #16117

Statistic panel: (Un)checking some statistics for string field do not update the table

2017-01-26 04:17 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:2.18.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24029

Description

While unchecking any statistic from the drop-down button at the bottom of the Statistics Panel for an integer field remove the statistic from

the table, nothing happens when the field is a string one

note: I didn't check date type field.

Related issues:

Related to QGIS Application - Bug report # 16119: Statistic panel: Do not sho... Closed 2017-01-26

Associated revisions

Revision c151ad04 - 2017-05-05 09:23 AM - Alexander Bruy

correctly handle toggling statistics visibility (fix #16117)

Revision e0d4e37c - 2017-05-10 10:56 AM - Alexander Bruy

fix bugs relates to statistical dock (fix #16117, #16118, #16119)

backported from master

Revision 72c83358 - 2017-05-11 11:07 AM - Alexander Bruy

Merge pull request #4529 from alexbruy/stats-panel

fix bugs related to statistical dock (fix #16117, #16118, #16119)

History

#1 - 2017-01-26 05:08 AM - Harrissou Santanna

- Subject changed from Statistic panel: Unchecking some statistics for string field do update the table to Statistic panel: (Un)checking some statistics for 

string field do not update the table

#2 - 2017-05-01 01:01 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2017-05-04 04:49 PM - Alexander Bruy

- Category set to GUI

- Pull Request or Patch supplied changed from No to Yes
- Description updated

PR proposed https://github.com/qgis/QGIS/pull/4501

#4 - 2017-05-05 03:48 PM - Alexander Bruy

- Status changed from Open to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|c151ad04257ac00d297ba2eaad96353cf129932a.

#5 - 2017-05-05 06:33 PM - Giovanni Manghi

- Resolution set to fixed/implemented

#6 - 2017-05-05 11:50 PM - Jürgen Fischer

Test. Please ignore.
